%define upstream_name    App-Gezer
%define upstream_version 0.0.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    HTML Postprocessor and frontend to html-minifier
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CHI)
BuildRequires: perl(Carp::Always)
BuildRequires: perl(Data::Munge)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Update)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
gezer is an HTML Postprocessor and a frontend to html-minifier . It caches
results for subsequent speedups.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/gezer
%{_mandir}/man1/gezer.1*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.0.4-2.mga9
+ Revision: 1821413
- Mageia 9 Mass Rebuild

* Wed Oct 14 2020 tv <tv> 0.0.4-1.mga8
+ Revision: 1635575
- update to 0.0.4

* Sat Feb 15 2020 umeabot <umeabot> 0.0.3-2.mga8
+ Revision: 1526672
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.0.3-1.mga8
+ Revision: 1415438
- update to 0.0.3

* Wed Oct 17 2018 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1321435
- update to 0.0.2

* Mon Oct 08 2018 shlomif <shlomif> 0.0.1-1.mga7
+ Revision: 1318665
- fix desc
- imported package perl-App-Gezer


* Mon Oct 08 2018 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
